Package org.stianloader.micromixin.transform.api

## Class MixinConfig

- java.lang.Object
- - org.stianloader.micromixin.transform.api.MixinConfig

-     public class MixinConfig
      extends java.lang.Object

  A Mixin configuration file. Upstream documentation link.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MixinConfig.InvalidMixinConfigException` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Collection<java.lang.String>` | `client` |
    `java.lang.String` | `compatibiltyLevel` |
    `java.lang.String` | `minVersion` |
    `java.lang.String` | `mixinPackage` |
    `java.util.Collection<java.lang.String>` | `mixins` |
    `int` | `priority` |
    `java.lang.String` | `refmap` |
    `boolean` | `required` |
    `java.util.Collection<java.lang.String>` | `server` |
    `boolean` | `setSourceFile` |
    `java.lang.String` | `target` |
    `boolean` | `verbose` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MixinConfig​(boolean required, java.lang.String minVersion, java.lang.String mixinPackage, java.lang.String target, java.lang.String compatibilityLevel, java.util.Collection<java.lang.String> mixins, int priority, boolean verbose, java.lang.String refmap, boolean setSourceFile, java.util.Collection<java.lang.String> client, java.util.Collection<java.lang.String> server)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MixinConfig` | `fromJson​(org.json.JSONObject object)` |
    `static MixinConfig` | `fromString​(java.lang.String s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### required

          public final boolean required

    - #### minVersion

          @Nullable
          public final java.lang.String minVersion

    - #### mixinPackage

          @NotNull
          public final java.lang.String mixinPackage

    - #### target

          @Nullable
          public final java.lang.String target

    - #### compatibiltyLevel

          @Nullable
          public final java.lang.String compatibiltyLevel

    - #### mixins

          @NotNull
          public final java.util.Collection<java.lang.String> mixins

    - #### priority

          public final int priority

    - #### verbose

          public final boolean verbose

    - #### refmap

          @Nullable
          public final java.lang.String refmap

    - #### setSourceFile

          public final boolean setSourceFile

    - #### client

          @NotNull
          public final java.util.Collection<java.lang.String> client

    - #### server

          @NotNull
          public final java.util.Collection<java.lang.String> server

  - ### Constructor Detail

    - #### MixinConfig

          protected MixinConfig​(boolean required,
                                @Nullable
                                java.lang.String minVersion,
                                @NotNull
                                java.lang.String mixinPackage,
                                @Nullable
                                java.lang.String target,
                                @Nullable
                                java.lang.String compatibilityLevel,
                                @NotNull
                                java.util.Collection<java.lang.String> mixins,
                                int priority,
                                boolean verbose,
                                @Nullable
                                java.lang.String refmap,
                                boolean setSourceFile,
                                @NotNull
                                java.util.Collection<java.lang.String> client,
                                @NotNull
                                java.util.Collection<java.lang.String> server)

  - ### Method Detail

    - #### fromString

          @NotNull
          public static MixinConfig fromString​(@NotNull
                                               java.lang.String s)
                                        throws MixinConfig.InvalidMixinConfigException

      Throws:
        `MixinConfig.InvalidMixinConfigException`

    - #### fromJson

          @NotNull
          public static MixinConfig fromJson​(@NotNull
                                             org.json.JSONObject object)
                                      throws MixinConfig.InvalidMixinConfigException

      Throws:
        `MixinConfig.InvalidMixinConfigException`